-- *********************************************************************************************************************
-- *                           (c) 2019 by White Elephant GmbH, Schaffhausen, Switzerland                              *
-- *                                               www.white-elephant.ch                                               *
-- *                                                                                                                   *
-- *    This program is free software; you can redistribute it and/or modify it under the terms of the GNU General     *
-- *    Public License as published by the Free Software Foundation; either version 2 of the License, or               *
-- *    (at your option) any later version.                                                                            *
-- *                                                                                                                   *
-- *    This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the     *
-- *    implied warranty of MERCHANTABILITY or FITNESS for A PARTICULAR PURPOSE. See the GNU General Public License    *
-- *    for more details.                                                                                              *
-- *                                                                                                                   *
-- *    You should have received a copy of the GNU General Public License along with this program; if not, write to    *
-- *    the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.                *
-- *********************************************************************************************************************
pragma Style_White_Elephant;

with Ada.Command_Line;
with Ada.Exceptions;
with Ada.Text_IO;
with Usb;

procedure UsbTest is
  pragma Linker_Options ("-mconsole");
  Nr_Of_Arguments : constant Natural := Ada.Command_Line.Argument_Count;
begin
  if Nr_Of_Arguments /= 2 then
    Ada.Text_IO.Put_Line ("Incorrect number of parameters");
  else
    declare
      Vid_Name  : constant String := Ada.Command_Line.Argument(1);
      Pid_Name  : constant String := Ada.Command_Line.Argument(2);
      The_Ports : constant Usb.Com_Ports := Usb.Com_Ports_For (Vid => Usb.Vendor_Id'value(Vid_Name),
                                                               Pid => Usb.Product_Id'value(Pid_Name));
    begin
      for The_Port of The_Ports loop
        Ada.Text_IO.Put_Line ("Com Port: COM" & The_Port'img);
      end loop;
    end;
  end if;
exception
when Item: others =>
  Ada.Text_IO.Put_Line (Ada.Exceptions.Exception_Message (Item));
end UsbTest;
